[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Help on Meson build Error





On Fri, Sep 25, 2020 at 5:24 PM Andrea Bolognani <abologna redhat com> wrote:
On Fri, 2020-09-25 at 10:16 +0100, Daniel P. Berrangé wrote:
> On Fri, Sep 25, 2020 at 05:03:24PM +0800, Wei Wang wrote:
> > /usr/local/bin/rst2html5 --stylesheet= --strict docs/manpages/virsh.rst
> > docs/manpages/virsh.rst:41: (ERROR/3) Error in "code-block" directive:
> > 1 argument(s) required, 0 supplied.
> >
> > .. code-block::
> >
> >    virsh [OPTION]... <command> <domain> [ARG]...
>
> This is a sign of having a bad version of "rst2html5" installed.
>
> We expect to be using  rst2html5 that comes with python docutils
> package.

Yeah, the python3-docutils Debian package will contain a working
rst2html5 binary.


That's strange, my rst2html5 comes from docutils:
python3-docutils: /usr/share/docutils/scripts/python3/rst2html5

and
/usr/local/bin/rst2html5 --version
rst2html5 (Docutils 0.16 [release], Python 3.8.2, on linux)

Thanks,
Wei

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]